<template>
  <div class="card-container">
    <!-- 다른 컴포넌트들 -->
    <network-health-chart v-if="dnacToken" />
    <issue-table v-if="dnacToken" />
    <!-- 다른 컴포넌트들 -->
  </div>
</template>

<script>
import NetworkHealthChart from './components/NetworkHealthChart.vue'
import IssueTable from './components/IssueTable.vue'
export default {
  components: {
    NetworkHealthChart,
    IssueTable
    // 다른 컴포넌트들
  },
  computed: {
    // Vuex 스토어의 token 상태를 computed 속성으로 매핑
    dnacToken() {
      return this.$store.getters.dnacToken
    }
  },
  created() {
    this.fetchToken()
  },
  methods: {
    fetchToken() {
      this.$store.dispatch('dnaCenter/getDnacToken')
        .then(() => {
          console.log('DNA Center 토큰이 성공적으로 갱신되었습니다.')
        })
        .catch(error => {
          console.error('토큰 가져오기 실패:', error)
        })
    }
  }

}
</script>
<style scoped>
.card-container {
  padding: 20px;
  background-color: #f0f2f5; /* Or any other background color you prefer */
}

.card-container > * {
  background: #fff;
  padding: 16px;
  margin-bottom: 20px;
  border-radius: 4px;
  box-shadow: 0 2px 12px 0 rgba(0,0,0,0.1); /* This adds a subtle shadow */
}

@media (max-width: 1024px) {
  .card-container > * {
    padding: 8px;
  }
}
  </style>
